"""
Module for event-based api.

Events could be generated by any source,
usually by the implementation backend (i.e., chat messages).

Then bot invokes all its registered event processors,
which is usually the `EventAggregator`.

The `EventAggregator` has the number of registered `EventHandler` classes.
It asks them if they can handle specific event,
and tells the first answered to process the event.
"""

from .event_aggregator import *
from .event_handler import *
from .message_handler import *
from .start_handler import *
